-- ============================================================
--   Database name:  FOLHA                                   
--   DBMS name:      ORACLE Version 21.x 
--   Created on:     12/10/2024  18:00                        
--   Issue:          Reconhecimento Facial - PORTAL DO GESTOR

-- ============================================================
-- Table: GPE_FACEID
-- ============================================================

CREATE TABLE GPE_FACEID (
    NRFACEID                  NUMBER(30) NOT NULL,
    HASHFACIAL                VARCHAR2(4000) NOT NULL,
    NRPARCNEGOCIO             NUMBER NOT NULL,
    NRORG                     NUMBER(10) NOT NULL,
    DTINCLUSAO                DATE DEFAULT SYSDATE NOT NULL,
    DTULTATU                  DATE,
    NRORGINCLUSAO             NUMBER NOT NULL,
    CDOPERINCLUSAO            VARCHAR2(12),
    NRORGULTATU               NUMBER,
    CDOPERULTATU              VARCHAR2(12),
    IDATIVO                   VARCHAR2(1) DEFAULT 'S' NOT NULL,
    CONSTRAINT PK_GPE_FACEIDS PRIMARY KEY (NRORG, NRFACEID),
    CONSTRAINT FK_PARCNEGOCIO FOREIGN KEY (NRPARCNEGOCIO, NRORG)
        REFERENCES PARCNEGOCIO (NRPARCNEGOCIO, NRORG)
); 